Subject: Re: Oops/Warning report of the week of July 4th 2008

From: Ingo Molnar <[email-masked]>
Date: Sat, 5 Jul 2008 08:39:18 +0200

* Arjan van de Ven <[email-masked]> wrote:

> Rank 8: tick_broadcast_oneshot_control (softlockup)
> 	Reported 91 times (634 total reports)
>
> 	Some interaction between tickless and systems with an AMD CPU 
> 	and an ATI chipset (eg only seen on systems that both have an 
> 	AMD cpu and an ATI chipset) Current suspicion is some kind of 
> 	time-warp problem that causes the softlockup code to trigger 
> 	incorrectly
>
>       This softlockup was last seen in version 2.6.25.9,
> 	and first seen in 2.6.24-rc4. More info:
>
> 	http://www.kerneloops.org/searchweek.php?search=tick_broadcast_oneshot_control

ok, so it's a false positive due to bad timer readout, not a real 
lockup. That probably also explains how it was able to show up in such 
numbers - the system kept functioning just fine so every system that 
produced this warning was able to report it to kerneloops.org.

i'll think about extending the softlockup code with time warp detection 
and reporting - that would be a useful facility in itself as right now 
there's nothing that warns about time warps in monotonic system time.

	Ingo